<?php
    
    //connect to a DSN "myDSN"
    
    function traeGetPost($variable) {
        if (isset($_GET[$variable]))
            return $_GET[$variable];
        else if (isset($_POST[$variable]))
            return $_POST[$variable];
        else
            return "";
    }
    
    function guid(){
        if (function_exists('com_create_guid')){
            return com_create_guid();
        }else{
            mt_srand((double)microtime()*10000);//optional for php 4.2.0 and up.
            $charid = strtoupper(md5(uniqid(rand(), true)));
            $hyphen = chr(45);// "-"
            $uuid = chr(123)// "{"
            .substr($charid, 0, 8).$hyphen
            .substr($charid, 8, 4).$hyphen
            .substr($charid,12, 4).$hyphen
            .substr($charid,16, 4).$hyphen
            .substr($charid,20,12)
            .chr(125);// "}"
            return $uuid;
        }
    }
    
    function enviaPush($token, $mensaje, $badge){
        //return json_decode(file_get_contents("http://timbrado.consisarh.com.mx/timbrado/webService/simplepush.php/envia?token=$token&mensaje=$mensaje"));
        if ($token != "")
        {
            
            $tokens = explode (',', $token);
            $iOS = [];
            $android = [];
            
            
            foreach ($tokens as $unToken) {
                if (strpos ($unToken, ' ') == 8)
                {
                    $iOS[] = $unToken;
                }
                else
                {
                    $android[] = $unToken;
                }
            }
            
            $iOSTokens = implode (',', $iOS);
            $androidTokens = implode (',', $android);
            
            
            if ($iOSTokens != "")
            {
                $mensajeCorto = urlencode (utf8_encode ($mensaje));
                $mensajeCorto = $mensaje;
                //if (strlen ($mensajeCorto) > 30)
                //    $mensajeCorto = substr ($mensajeCorto, 0, 30) . '...';
                
                //$url = "http://pushservice.haztuapp.x10.mx/simplepush.php?token=$iOSTokens&app=pinPointx&mensaje=$mensajeCorto&badge=1";
                $url = "http://pushservice.haztuapp.x10.mx/simplepush.php?token=$iOSTokens&app=pinPoint&badge=1";
                $url = str_replace (" ", "%20", $url);
                $curlSession = curl_init();
                curl_setopt($curlSession, CURLOPT_URL, $url);
                curl_setopt($curlSession,CURLOPT_POST, 1);
                curl_setopt($curlSession,CURLOPT_POSTFIELDS, array("mensaje" => $mensajeCorto));
                
                curl_setopt($curlSession, CURLOPT_BINARYTRANSFER, true);
                curl_setopt($curlSession, CURLOPT_RETURNTRANSFER, true);
                
                $jsonData = json_decode(curl_exec($curlSession));
                curl_close($curlSession);
            }
            if ($androidTokens != "")
            {
                $mensajeCorto = urlencode (utf8_encode ($mensaje));
                $url = "http://pushservice.haztuapp.x10.mx/simplepushAndroid.php?token=$androidTokens&app=appYuda&mensaje=$mensajeCorto";
                $url = str_replace (" ", "%20", $url);
                $curlSession = curl_init();
                curl_setopt($curlSession, CURLOPT_URL, $url);
                curl_setopt($curlSession, CURLOPT_BINARYTRANSFER, true);
                curl_setopt($curlSession, CURLOPT_RETURNTRANSFER, true);
                
                $jsonData = curl_exec($curlSession) . $url;
                curl_close($curlSession);
                
                //$jsonData = $url;
                
            }
            return $jsonData;
        }
        else
        {
            return "no se especificó un token";
        }
    }
    
?>
